Bug 1098653 - updating openmpi erases mpi-selector settings
updating openmpi erases mpi-selector settings
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Development
Current
x86-64 openSUSE Factory
: P5 - None : Minor (vote)
: ---
Assigned To: Nicolas Morey-Chaisemartin
E-mail List
obs:running:8918:moderate
:
Depends on:
Blocks: 1114477 1118824
  Show dependency treegraph
 
Reported: 2018-06-21 14:39 UTC by Roland Wirth
Modified: 2020-05-13 20:05 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roland Wirth 2018-06-21 14:39:46 UTC
After updating the openmpi package, `mpi-selector --list` shows no registered MPI implementations. Also, the configured system-wide default is unset.

At a minimum, the updated OpenMPI package should be registered. Also, unsetting the default is inconvenient because it adds an additional manual step to the upgrade, which is easily forgotten. I would prefer the updated package to be set as default if openmpi was set previously (or if no default was set).

Currently, the openmpi package has two scriptlets that register the implementation after the installation and unregister it before uninstall, including removing the default if one is set (regardless of whether it is currently set to the openmpi version that is uninstalled). This should in principle at least keep the new implementation registered. However, on upgrade the postinstall scriptlet is run before the preuninstall, so whenever the old and new implementation names are the same that name gets first registered and then unregistered.

Maybe, the scriptlets could leave off the version number from the implementation name -- looking at the installation paths the package is not meant for side-by-side installation of multiple versions anyway. Then we could have

%post
/usr/bin/mpi-selector \
        --register %{name} \
        --source-dir %{mpi_bindir} \
        --yes
if [ -z "`/usr/bin/mpi-selector --system --query`" ]; then
    /usr/bin/mpi-selector --system --set %{name} --yes
fi

%preun
[ "$1" == 0 ] || exit 0 # Only unregister when uninstalling
/usr/bin/mpi-selector --unregister %{name} --yes
/usr/bin/mpi-selector --system --query
if [ "`/usr/bin/mpi-selector --system --query | grep default:`" = "default:%{name}" ]; then
    /usr/bin/mpi-selector --system --unset --yes
fi

and need not check if the updated package bumped the version number (unregister old name) or not (do nothing).

The current behavior may have lead to #1096593
Comment 2 Swamp Workflow Management 2018-09-07 10:00:19 UTC
This is an autogenerated message for OBS integration:
This bug (1098653) was mentioned in
https://build.opensuse.org/request/show/634092 Factory / openmpi
https://build.opensuse.org/request/show/634093 Factory / openmpi2
https://build.opensuse.org/request/show/634094 Factory / openmpi3
https://build.opensuse.org/request/show/634095 Factory / mpich
https://build.opensuse.org/request/show/634096 Factory / mvapich2
Comment 4 Swamp Workflow Management 2018-09-11 11:20:15 UTC
This is an autogenerated message for OBS integration:
This bug (1098653) was mentioned in
https://build.opensuse.org/request/show/634940 Factory / openmpi
https://build.opensuse.org/request/show/634941 Factory / openmpi2
https://build.opensuse.org/request/show/634942 Factory / openmpi3
https://build.opensuse.org/request/show/634943 Factory / mpich
https://build.opensuse.org/request/show/634944 Factory / mvapich2
Comment 5 Swamp Workflow Management 2018-09-17 10:00:17 UTC
This is an autogenerated message for OBS integration:
This bug (1098653) was mentioned in
https://build.opensuse.org/request/show/636130 Factory / openmpi
https://build.opensuse.org/request/show/636131 Factory / openmpi2
https://build.opensuse.org/request/show/636132 Factory / openmpi3
https://build.opensuse.org/request/show/636134 Factory / mpich
https://build.opensuse.org/request/show/636135 Factory / mvapich2
Comment 6 Nicolas Morey-Chaisemartin 2018-09-18 11:15:37 UTC
Fixed into Factory.
Fixes were also submitted for SLES/Leap 15
Comment 8 Swamp Workflow Management 2018-10-05 16:12:44 UTC
SUSE-RU-2018:3026-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1098653
CVE References: 
Sources used:
SUSE Linux Enterprise Module for Server Applications 15 (src):    mpich-3.2.1-6.3.2
SUSE Linux Enterprise Module for HPC 15 (src):    mpich-ofi_3_2_1-gnu-hpc-3.2.1-6.3.2, mpich_3_2_1-gnu-hpc-3.2.1-6.3.2
Comment 9 Swamp Workflow Management 2018-10-12 22:09:49 UTC
openSUSE-RU-2018:3135-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1098653
CVE References: 
Sources used:
openSUSE Leap 15.0 (src):    mpich-3.2.1-lp150.5.3.1, mpich-ofi-3.2.1-lp150.5.3.1, mpich-ofi-testsuite-3.2.1-lp150.5.3.1, mpich-ofi_3_2_1-gnu-hpc-3.2.1-lp150.5.3.1, mpich-ofi_3_2_1-gnu-hpc-testsuite-3.2.1-lp150.5.3.1, mpich-testsuite-3.2.1-lp150.5.3.1, mpich_3_2_1-gnu-hpc-3.2.1-lp150.5.3.1, mpich_3_2_1-gnu-hpc-testsuite-3.2.1-lp150.5.3.1
Comment 10 Swamp Workflow Management 2018-10-22 16:10:45 UTC
SUSE-RU-2018:3283-1: An update that has two recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1094689,1098653
CVE References: 
Sources used:
SUSE Linux Enterprise Module for Server Applications 15 (src):    openmpi2-2.1.3-5.3.2
SUSE Linux Enterprise Module for HPC 15 (src):    openmpi_2_1_3-gnu-hpc-2.1.3-5.3.2, openmpi_2_1_3-gnu-hpc-testsuite-2.1.3-5.3.3
Comment 11 Swamp Workflow Management 2018-10-23 13:20:44 UTC
SUSE-RU-2018:3320-1: An update that has 5 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1041090,1047218,1084909,1094689,1098653
CVE References: 
Sources used:
SUSE Linux Enterprise Module for Legacy Software 15 (src):    openmpi-1.10.7-13.3.1
Comment 12 Swamp Workflow Management 2018-10-24 01:12:46 UTC
openSUSE-RU-2018:3363-1: An update that has two recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1094689,1098653
CVE References: 
Sources used:
openSUSE Leap 15.0 (src):    openmpi2-2.1.3-lp150.3.6.1, openmpi2-testsuite-2.1.3-lp150.3.6.1, openmpi_2_1_3-gnu-hpc-2.1.3-lp150.3.6.1, openmpi_2_1_3-gnu-hpc-testsuite-2.1.3-lp150.3.6.1
Comment 13 Swamp Workflow Management 2018-10-25 01:18:25 UTC
openSUSE-RU-2018:3418-1: An update that has 5 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1041090,1047218,1084909,1094689,1098653
CVE References: 
Sources used:
openSUSE Leap 15.0 (src):    openmpi-1.10.7-lp150.9.3.1, openmpi-testsuite-1.10.7-lp150.9.3.1, openmpi_1_10_7-gnu-hpc-1.10.7-lp150.9.3.1, openmpi_1_10_7-gnu-hpc-testsuite-1.10.7-lp150.9.3.1
Comment 17 Swamp Workflow Management 2018-12-17 23:09:06 UTC
SUSE-RU-2018:4159-1: An update that has 5 recommended fixes can now be installed.

Category: recommended (important)
Bug References: 1098653,1113809,1117167,1118664,1118824
CVE References: 
Sources used:
SUSE Linux Enterprise Server 12-SP4 (src):    release-notes-sles-12.4.20181207-2.3.1
Comment 18 Swamp Workflow Management 2018-12-17 23:11:54 UTC
SUSE-RU-2018:4162-1: An update that has 7 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1098653,1100347,1106505,1106545,1108576,1114218,1114477
CVE References: 
Sources used:
SUSE Linux Enterprise Server 15 (src):    release-notes-sles-15.0.20181102-3.7.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    release-notes-sles-15.0.20181102-3.7.1
Comment 20 Swamp Workflow Management 2019-05-24 13:19:38 UTC
SUSE-RU-2019:1332-1: An update that has 6 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1098653,1102421,1116458,1129421,1133797,934090
CVE References: 
Sources used:
SUSE Linux Enterprise Module for Server Applications 15 (src):    mvapich2-2.2-9.7.1, mvapich2-psm-2.2-9.7.1, mvapich2-psm2-2.2-9.7.1
SUSE Linux Enterprise Module for HPC 15 (src):    mvapich2-psm2_2_2-gnu-hpc-2.2-9.7.1, mvapich2-psm_2_2-gnu-hpc-2.2-9.7.1, mvapich2_2_2-gnu-hpc-2.2-9.7.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 21 Swamp Workflow Management 2019-06-02 16:11:11 UTC
openSUSE-RU-2019:1483-1: An update that has 6 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1098653,1102421,1116458,1129421,1133797,934090
CVE References: 
Sources used:
openSUSE Leap 15.0 (src):    mvapich2-2.2-lp150.5.3.1, mvapich2-psm-2.2-lp150.5.3.1, mvapich2-psm2-2.2-lp150.5.3.1, mvapich2-psm2_2_2-gnu-hpc-2.2-lp150.5.3.1, mvapich2-psm_2_2-gnu-hpc-2.2-lp150.5.3.1, mvapich2_2_2-gnu-hpc-2.2-lp150.5.3.1
Comment 23 Swamp Workflow Management 2020-02-20 11:12:49 UTC
SUSE-RU-2020:0425-1: An update that has 12 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1047218,1074890,1078364,1080259,1084909,1086821,1091714,1098653,1116458,1125651,1132949,1155863
CVE References: 
Sources used:
SUSE Linux Enterprise Module for HPC 15-SP1 (src):    openmpi_3_1_4-gnu-hpc-3.1.4-3.3.8

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 24 Swamp Workflow Management 2020-05-05 09:20:23 UTC
This is an autogenerated message for OBS integration:
This bug (1098653) was mentioned in
https://build.opensuse.org/request/show/800294 15.2 / openmpi3